1 Supported platforms

Below are the minimal requirements for various MOSEK interfaces and operating systems. In some cases using MOSEK with older versions of the software will be possible, but is neither actively supported nor tested.

Operating systems

Table 1.1 Operating systems

Platform

Minimal OS version

Specific library dependencies

linux64x86

RHEL 7, Ubuntu 18.04 or compatible

GLIBC 2.17, GLIBCXX 3.4.11

osx64x86

macOS 10.15

win64x86

Windows 10, Server 2016

win32x86

Windows 10, Server 2016

linuxaarch64

Ubuntu 20.04 or compatible

GLIBC 2.29, GLIBCXX 3.4.21

osxaarch64

macOS 11

Optimizer API and Fusion API

Table 1.2 Optimizer API and Fusion API.

Platform

C

C++(Fusion)

Java

.NET

.NET Core

Python

linux64x86

Yes

C++11

1.8

netstandard2.1

3.6-3.10

osx64x86

Yes

C++11

1.8

netstandard2.1

3.6-3.10

win64x86

Yes

C++11

1.8

4.5

netstandard2.1

3.6-3.10

win32x86

Yes

4.5

linuxaarch64

Yes

C++11

1.8

netstandard2.1

3.7-3.10

osxaarch64

Yes

C++11

17

netstandard2.1

3.8-3.10

Optimization Toolbox for MATLAB, Rmosek and other MOSEK tools

Table 1.3 Other APIs and tools.

Platform

MATLAB

R

AMPL Shell

MOSEK to AMPL link

OptServer

lmgrd

linux64x86

R2017a

3.6

Yes

Yes

Yes

osx64x86

R2017a

3.6

Yes

Yes

win64x86

R2017a

3.6

Yes

Yes

win32x86

Yes

Yes

linuxaarch64

Yes

osxaarch64

4.1

Yes

Other distribution channels (stable releases only)

Other remarks

  • If you are using a floating license, the license server on Linux requires Linux Standard Base 3 or newer is installed (package lsb).

  • Numpy is required in Python Fusion.